Update build with Yum references

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Update build with Yum references

Robert Cox

From ff9b31118e469db470f18087617cdb99f803152a Mon Sep 17 00:00:00 2001
From: novatech <[hidden email]>
Date: Wed, 14 Dec 2016 09:37:32 -0600
Subject: [PATCH 2/2] Added in Yum references for build tools and dependencies

---
 README.build | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

diff --git a/README.build b/README.build
index 613619f..050142b 100644
--- a/README.build
+++ b/README.build
@@ -2,19 +2,19 @@ Here is a short tutorial on how to build libftdi git under
 Ubuntu 12.10, But it is similar on other Linux distros.
 
 1) Install the build tools
-sudo apt-get install build-essential
-sudo apt-get install git-core
-sudo apt-get install cmake
-sudo apt-get install doxygen (for building documentations)
+sudo apt-get install build-essential (Yum install make automake gcc gcc-c++ kernel-devel)
+sudo apt-get install git-core (Yum install git)
+sudo apt-get install cmake (Yum install cmake)
+sudo apt-get install doxygen (for building documentations) (Yum install doxygen)
 
 2) Install dependencies
-sudo apt-get install libusb-1.0-devel
+sudo apt-get install libusb-1.0-devel (Yum install libusb-devel)
 (if the system comes with older version like 1.0.8 or
 earlier, it is recommended you build libusbx-1.0.14 or later).
 
-sudo apt-get install libconfuse-dev (for ftdi-eeprom)
-sudo apt-get install swig python-dev (for python bindings)
-sudo apt-get install libboost-all-dev (for C++ binding and unit test)
+sudo apt-get install libconfuse-dev (for ftdi-eeprom) (Yum install libconfuse-devel)
+sudo apt-get install swig python-dev (for python bindings) (Yum install swig python-devel)
+sudo apt-get install libboost-all-dev (for C++ binding and unit test) (Yum install boost-devel)
 
 3) Clone the git repository
 mkdir libftdi
-- 
2.4.11




libftdi - see http://www.intra2net.com/en/developer/libftdi for details.
To unsubscribe send a mail to [hidden email]


Loading...